summarylogtreecommitdiffstats
path: root/jitsi.sh
diff options
context:
space:
mode:
Diffstat (limited to 'jitsi.sh')
-rw-r--r--jitsi.sh13
1 files changed, 13 insertions, 0 deletions
diff --git a/jitsi.sh b/jitsi.sh
index ae544f39ff00..1100909774c2 100644
--- a/jitsi.sh
+++ b/jitsi.sh
@@ -9,6 +9,19 @@ else
JAVABIN="java"
fi
+if ! ${JAVABIN} -version 2>&1 | grep version | grep -q 1.8; then
+ if command -v zenity > /dev/null; then
+ zenity --error --no-wrap --text="Your java version is $(archlinux-java get) but you need Java JRE/JDK 1.8\nPlease install Java 1.8 or set your PATH to the right binary\nMore info: https://wiki.archlinux.org/index.php/Java"
+ elif command -v kdialog > /dev/null; then
+ kdialog --sorry "Your java version is $(archlinux-java get) but you need Java JRE/JDK 1.8\nPlease install Java 1.8 or set your PATH to the right binary\nMore info: https://wiki.archlinux.org/index.php/Java" --title="Invalid Java version"
+ elif command -v xmessage > /dev/null; then
+ xmessage -center "$(echo -e "Your java version is $(archlinux-java get) but you need Java JRE/JDK 1.8\nPlease install Java 1.8 or set your PATH to the right binary\nMore info: https://wiki.archlinux.org/index.php/Java")"
+ else
+ echo -e "Your java version is $(archlinux-java get) but you need Java JRE/JDK 1.8\nPlease install Java 1.8 or set your PATH to the right binary\nMore info: https://wiki.archlinux.org/index.php/Java"
+ fi
+ exit 1
+fi
+
SCDIR=/usr/lib/jitsi
LIBPATH="${SCDIR}/lib"
CLASSPATH="${LIBPATH}/felix.jar:${SCDIR}/sc-bundles/sc-launcher.jar:${SCDIR}/sc-bundles/util.jar:${SCDIR}/sc-bundles/dnsjava.jar:${LIBPATH}"